[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: koji breakage for F12 builds



Am Mittwoch, den 13.05.2009, 14:15 +0100 schrieb Bastien Nocera:
> On Wed, 2009-05-13 at 13:15 +0200, Christoph Wickert wrote:
> <snip>
> > > E.g. notify-daemon and desktop-notification-daemon and the package name
> > > itself, notification-daemon. 
> > 
> > I think the problem is, that some packages  notification-deamon instead
> > of (virtual) desktop-notification-deamon:
> > 
> > # repoquery --repoid rawhide --whatrequires notification-daemon
> > gnome-bluetooth-0:2.27.5-1.fc11.i586
> > notify-python-0:0.1.1-6.fc11.i586
> > notification-daemon-engine-nodoka-0:0.1.0-6.fc11.i586
> > system-config-printer-0:1.1.7-1.fc11.i586
> > ibus-0:1.1.0.20090423-1.fc11.i586
> > 
> > I'm going to file bugs against these packages except
> > notification-daemon-engine-nodoka, because it only works with
> > notification-daemon.

FYI:
https://bugzilla.redhat.com/show_bug.cgi?id=500585
https://bugzilla.redhat.com/show_bug.cgi?id=500586
https://bugzilla.redhat.com/show_bug.cgi?id=500587
https://bugzilla.redhat.com/show_bug.cgi?id=500588

> 
> Except that I don't see why those would cause problems during the build,
> when they're not even getting installed in the buildroots.
> 
> The problem was/is that libnotify-devel requires a
> desktop-notification-daemon (via libnotify itself), and yum will install
> both packages that provide it.

Why both? I expect it to stop resolving deps as soon as one is able to
provide it.

Regards,
Christoph


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]